[PC-BSD Commits] r21122 - pcbsd/current/overlays/install-overlay/etc

svn at pcbsd.org svn at pcbsd.org
Thu Jan 24 06:35:04 PST 2013


Author: kris
Date: 2013-01-24 14:35:04 +0000 (Thu, 24 Jan 2013)
New Revision: 21122

Modified:
   pcbsd/current/overlays/install-overlay/etc/pcbsd-rc.sh
Log:

Fix up how we create zfs cache dir



Modified: pcbsd/current/overlays/install-overlay/etc/pcbsd-rc.sh
===================================================================
--- pcbsd/current/overlays/install-overlay/etc/pcbsd-rc.sh	2013-01-24 14:16:41 UTC (rev 21121)
+++ pcbsd/current/overlays/install-overlay/etc/pcbsd-rc.sh	2013-01-24 14:35:04 UTC (rev 21122)
@@ -20,9 +20,6 @@
 # Create a /tmp file system with some extra space
 /sbin/mdmfs -S -s 10M -O space md6 /tmp
 
-# Create zfs tmpdir
-mkdir /tmp/zfs
-
 # If we have a LIVE DVD image, boot with it
 if [ -e "/dist/PCBSD.ufs.uzip" ]
 then
@@ -64,3 +61,12 @@
 /sbin/mdmfs -S -s 15M -O space md8 /root
 /usr/bin/tar xvf /uzip/root-dist.txz -C /root >/dev/null 2>/dev/null
 
+# Check ZFS tmpdir
+if [ ! -d "/tmp/zfs" ] ; then
+  mkdir /tmp/zfs
+  if [ $? -ne 0 ] ; then
+     echo "Error creating /tmp/zfs, ZFS installs will not work!"
+     echo "Press ENTER to continue"
+     read tmp
+  fi
+fi



More information about the Commits mailing list